IMyBinder

net.posprinter.posinterface

## Interface IMyBinder

- All Known Implementing Classes:
    PosPrinterService.MyBinder

      public interface IMyBinder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptdatafromprinter(UiExecute execute)`
    `void` | `connectBtPort(java.lang.String bluetoothID, UiExecute execute)`
    `void` | `connectNetPort(java.lang.String ethernetIP, int ethernetPort, UiExecute execute)`
    `void` | `connectUsbPort(android.content.Context context, java.lang.String usbID, UiExecute execute)`
    `void` | `disconnectCurrentPort(UiExecute execute)`
    `RoundQueue<byte[]>` | `readBuffer()`
    `void` | `write(byte[] data, UiExecute execute)`
    `void` | `writeDataByYouself(UiExecute execute, ProcessData processData)`

- - ### Method Detail

    - #### connectNetPort

          void connectNetPort(java.lang.String ethernetIP,
                            int ethernetPort,
                            UiExecute execute)

      Parameters:
        `UiExecute` - execute interface£¬the method is performed in the UI thread
        `ethernetIP` - Printer IP address
        `ethernetPort` - printer ethernet port

    - #### connectBtPort

          void connectBtPort(java.lang.String bluetoothID,
                           UiExecute execute)

      Parameters:
        `UiExecute` - execute interface£¬the method is performed in the UI thread
        `bluetoothID` - printer bluetooth ID

    - #### connectUsbPort

          void connectUsbPort(android.content.Context context,
                            java.lang.String usbID,
                            UiExecute execute)

      Parameters:
        `UiExecute` - execute interface£¬the method is performed in the UI thread
        `context` - context
        `usbID` - printer usbid

    - #### disconnectCurrentPort

          void disconnectCurrentPort(UiExecute execute)

      Parameters:
        `UiExecute` - execute interface£¬the method is performed in the UI thread

    - #### acceptdatafromprinter

          void acceptdatafromprinter(UiExecute execute)

      Parameters:
        `data` - byte[]

    - #### readBuffer

          RoundQueue<byte[]> readBuffer()

      Returns:
        Returns a circular queue object¡£

    - #### write

          void write(byte[] data,
                   UiExecute execute)

      Parameters:
        `data` - byte[]

    - #### writeDataByYouself

          void writeDataByYouself(UiExecute execute,
                                ProcessData processData)

      Parameters:
        `execute` - execute interface£¬the method is performed in the UI thread
        `processData` - interface£¬You can rewrite the processing method of data to be transmitted,